
From: Christoph Hellwig <hch@lst.de>

With the DM updates that went into Linus' tree today you'll need this
additional hunk ontop:


---

 25-akpm/drivers/md/dm.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/md/dm.c~lockfs-dm-bits-2 drivers/md/dm.c
--- 25/drivers/md/dm.c~lockfs-dm-bits-2	2004-04-18 08:36:36.649799232 -0700
+++ 25-akpm/drivers/md/dm.c	2004-04-18 08:36:36.653798624 -0700
@@ -1004,6 +1004,7 @@ int dm_suspend(struct mapped_device *md)
 
 	/* were we interrupted ? */
 	if (atomic_read(&md->pending)) {
+		__unlock_fs(md);
 		clear_bit(DMF_BLOCK_IO, &md->flags);
 		up_write(&md->lock);
 		return -EINTR;

_
